%global debug_package %{nil}

Name:           libmagicenum
Version:        0.9.3
Release:        1%{?dist}
Summary:        Static reflection for enums for modern C++

License:        MIT
URL:            https://github.com/Neargye/magic_enum
Source0:        https://github.com/Neargye/magic_enum/archive/refs/tags/v0.9.3.tar.gz

BuildRequires: git
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: catch2-devel

%description
Static reflection for enums (to string, from string, iteration) for modern C++,
work with any enum type without any macro or boilerplate code

%package devel
Summary: Development files for %{name}
Provides: libmagicenum-static = %{version}-%{release}

%description devel
Static reflection for enums for modern C++

%prep
%autosetup -n magic_enum-0.9.3 -p1

%build
%cmake

%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%license LICENSE
%doc README.md

%{_includedir}/magic_enum.hpp
%{_includedir}/magic_enum_all.hpp
%{_includedir}/magic_enum_containers.hpp
%{_includedir}/magic_enum_flags.hpp
%{_includedir}/magic_enum_format.hpp
%{_includedir}/magic_enum_fuse.hpp
%{_includedir}/magic_enum_iostream.hpp
%{_includedir}/magic_enum_switch.hpp
%{_includedir}/magic_enum_utility.hpp
%{_libdir}/cmake/magic_enum/magic_enumConfigVersion.cmake
%{_libdir}/cmake/magic_enum/magic_enumConfig.cmake
%{_libdir}/pkgconfig/magic_enum.pc
%{_datadir}/magic_enum/package.xml


%changelog
* Tue Oct 31 2023 Andrew Potter <agpotter@gmail.com> - 0.9.3-1
- Release 0.9.3

* Fri May 12 2023 Andrew Potter <agpotter@gmail.com> - v0.8.2^20230512.8111a0d-1
- Initial version of package
